Bug 20730 - Missing authentication check in serials/routing.pl
Summary: Missing authentication check in serials/routing.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20351
  Show dependency treegraph
 
Reported: 2018-05-08 17:21 UTC by Jonathan Druart
Modified: 2018-10-24 09:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20730: Move the authentication block before doing anything (1.51 KB, patch)
2018-05-08 17:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20730: Move the authentication block before doing anything (1.56 KB, patch)
2018-05-08 17:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20730: Move the authentication block before doing anything (1.62 KB, patch)
2018-05-08 18:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-05-08 17:21:21 UTC

    
Comment 1 Jonathan Druart 2018-05-08 17:28:25 UTC
Created attachment 75177 [details] [review]
Bug 20730: Move the authentication block before doing anything

No need to add more information here, it's self-explanatory...
Comment 2 M. Tompsett 2018-05-08 17:49:17 UTC
Created attachment 75179 [details] [review]
Bug 20730: Move the authentication block before doing anything

No need to add more information here, it's self-explanatory...

NOTE: trivial reformat and reposition,
      with only pointless debug => 1 line removed.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Tomás Cohen Arazi 2018-05-08 18:00:19 UTC
Created attachment 75181 [details] [review]
Bug 20730: Move the authentication block before doing anything

No need to add more information here, it's self-explanatory...

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2018-05-24 16:44:18 UTC
Patch pushed to master for 18.05


Also to 17.11.06 and 17.05.12